Oracle Linux 9:firefox (ELSA-2024-2883)

high Nessus Plugin ID 197405

概要

遠端 Oracle Linux 主機缺少一個或多個安全性更新。

說明

遠端 Oracle Linux 9 主機中安裝的套件受到 ELSA-2024-2883 公告中提及的多個弱點影響。

- Firefox 125、Firefox ESR 115.10 和 Thunderbird 115.10 中存在記憶體安全錯誤。某些錯誤顯示記憶體會遭到損毀,我們推測若有心人士有意操控,可能惡意利用其中部分錯誤執行任意程式碼。此弱點會影響 Firefox < 126、Firefox ESR < 115.11 和 Thunderbird < 115.11。(CVE-2024-4777)

- 處理 PDF.js 中的字型時缺少類型檢查,因而允許在 PDF.js 內容中執行任意 JavaScript。此弱點會影響 Firefox < 126、Firefox ESR < 115.11 和 Thunderbird < 115.11。(CVE-2024-4367)

- 如果啟用「browser.privatebrowsing.autostart」偏好設定,則在關閉視窗時,不會正確刪除 IndexedDB 檔案。此偏好設定在 Firefox 中預設為停用。此弱點會影響 Firefox < 126、Firefox ESR < 115.11 和 Thunderbird < 115.11。(CVE-2024-4767)

- 快顯通知與 WebAuthn 的互動中存在錯誤,攻擊者可更輕易地利用此錯誤來誘騙使用者授予權限。此弱點會影響 Firefox < 126、Firefox ESR < 115.11 和 Thunderbird < 115.11。(CVE-2024-4768)

- 將頁面儲存為 PDF 時,特定字型樣式可能會導致釋放後使用,進而發生當機。此弱點會影響 Firefox < 126、Firefox ESR < 115.11 和 Thunderbird < 115.11。(CVE-2024-4770)

- 使用 Web 背景工作匯入資源時,錯誤訊息會區分 `application/javascript` 回應與非指令碼回應之間的差異。攻擊者可能會濫用此問題來瞭解跨來源資訊。此弱點會影響 Firefox < 126、Firefox ESR < 115.11 和 Thunderbird < 115.11。(CVE-2024-4769)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

更新受影響的 firefox 和/或 firefox-x11 套件。

另請參閱

https://linux.oracle.com/errata/ELSA-2024-2883.html

Plugin 詳細資訊

嚴重性: High

ID: 197405

檔案名稱: oraclelinux_ELSA-2024-2883.nasl

版本: 1.2

類型: local

代理程式: unix

已發布: 2024/5/17

已更新: 2024/6/14

支援的感應器: Frictionless Assessment Agent, Nessus Agent, Nessus

風險資訊

VPR

風險因素: Critical

分數: 9.4

CVSS v2

風險因素: High

基本分數: 7.6

時間分數: 6

媒介: CVSS2#AV:N/AC:H/Au:N/C:C/I:C/A:C

CVSS 評分資料來源: CVE-2024-4367

CVSS v3

風險因素: High

基本分數: 7.5

時間分數: 6.7

媒介: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H

時間媒介: CVSS:3.0/E:P/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:oracle:linux:firefox-x11, cpe:/a:oracle:linux:9::appstream, cpe:/o:oracle:linux:9, p-cpe:/a:oracle:linux:firefox

必要的 KB 項目: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/OracleLinux

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2024/5/16

弱點發布日期: 2024/5/6

參考資訊

CVE: CVE-2024-4367, CVE-2024-4767, CVE-2024-4768, CVE-2024-4769, CVE-2024-4770, CVE-2024-4777

IAVA: 2024-A-0279-S